Noticias
Entradas
Comentarios
hacker emblem

Aquí va una pequeña guía de instalación para instalar el Sun Wireless Toolkit, útil sobre todo por el módulo KToolbar que nos permite visualizar la ejecución de nuestros programas escritos en J2ME.

  • sudo apt-get install sun-java6-jdk sun-java6-jre
  • Descargar Sun Java Wireless Toolkit para Linux desde aquí.
  • chmod +x sun_java_wireless_toolkit-2.5.2-linux.bin
  • ./sun_java_wireless_toolkit-2.5.2-linux.bin
  • Aceptar licencia (yes)
  • Pulsar 0 para especificar /usr/bin como directorio contenedor del intérprete de Java.
  • Especificar directorio de instalación. Normalmente pulso INTRO para instalarlo en el directorio por defecto.
  • Comprobar actualizaciones. A gusto del consumidor (yes/no).
  • Pulsar 0 para instalar y listo.

Ahora ya podemos ejecutar KToolbar escribiendo /home/usuario/WTK2.5.2/bin/ktoolbar o creando un acceso directo a dicho programa.

A 1 persona le gusta esta entrada

6 Comentarios a “Instalar Sun Java Wireless Toolkit en Linux”

  1. […] « Abriendo documentos .docx con OpenOffice.org en Ubuntu Instalar Sun Java Wireless Toolkit en Linux […]

  2. spinito dice:

    una pregunta quiero crear un web services desde eclipse, pero no puedo he visto varios tutoriales y no lo puedo crear y no c por q ya baje wtp, axis y el tomca pero nada nno c q mas hacer y otro problema q tengo es q tengo un web service creado en visual lo llamo desde eclipseME y tampoco me deja no se si necesito configurar el eclipse para tener acceso a la web services.

  3. cristian dice:

    tengo un problema cuando me pide que ponga la ruta donde se encuentra el jdk, me dice
    “not a suitable java interpreter”. esto es lo que pasa:

    ———————————-
    Enter a path to the Java 2 SDK: /usr/java/jdk1.6.0_19/bin
    /usr/java/jdk1.6.0_19/bin/java
    Testing /usr/java/jdk1.6.0_19/bin/java…
    Exception in thread “main” java.lang.ClassFormatError: Extra bytes at the end of class file com/sun/kvem/environment/JavaVersionTester
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
    Could not find the main class: com.sun.kvem.environment.JavaVersionTester. Program will exit.
    /usr/java/jdk1.6.0_19/bin is not a suitable Java interpreter
    Enter a path to a Java 2 SDK (For example: /user/jdk1.4/bin). You can type “exit” to cancel installation.
    Enter a path to the Java 2 SDK:
    ———————————-

    espero que me ayuden, ya que en windows lo instale bien, pero quiero usarlo tambien en ubuntu. saludos

  4. juanito dice:

    Este error ocurre debido a un problema

  5. Gus dice:

    Buenas instrucciones, salió bien para Debian 6 aunque también tuve el problema de “cristian”, pero se solucionó anotando el path correcto del jdk, en mi caso se encuentra en /usr/local/jdk/bin, y por decisión propia lo instalé en /usr/local/WTK.
    SALUDOS

Dejar un comentario